# frozen_string_literal: true

module Playbook
  module PbStarRating
    class StarRating < Playbook::KitBase
      prop :hide_rating, type: Playbook::Props::Boolean,
                         default: false

      prop :rating, type: Playbook::Props::Numeric,
                    default: 0

      def star_count
        rating.floor
      end

      def star_full
        (rating.to_f % 1).zero?
      end

      def classname
        generate_classname("pb_star_rating_kit")
      end
    end
  end
end
